<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright &#169; 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Copyright &#169; 2006 - 2008 Nicolae Crefelean
| http://www.phpfusion.ro/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Infusion created by Nicolae Crefelean (kneekoo/Nicu)
| PHP-Fusion Romania: http://www.phpfusion.ro/
+----------------------------------------------------*/

if (!defined("IN_FUSION")) { require_once("../../maincore.php"); }

if (FUSION_SELF == "news_cloud_panel.php")  fallback("../../index.php");

if (file_exists(INFUSIONS."tags_cloud_panel/locale/".$settings['locale'].".php")) {
	include_once INFUSIONS."tags_cloud_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."tags_cloud_panel/locale/Polish.php";
}

opensidetagi($locale['ncp001']);

$ncp_random = true;
$ncp_cats_on_row = 0; // 0=auto

$ncp_cat_id = array();
$ncp_cat_name = array();
$ncp_cat_size = array();
$ncp_cloud = dbquery("SELECT article_cat_id, article_cat_name FROM ".$db_prefix."article_cats ORDER BY ".($ncp_random ? "rand()" : "article_cat_name ASC"));

if ($ncp_cats_on_row == 0) {

	$ncp_ncats = dbrows($ncp_cloud);

	if ($ncp_ncats < 6) $ncp_cats_on_row = 3;
	if ($ncp_ncats > 5 && $ncp_ncats < 10) $ncp_cats_on_row = 4;
	if ($ncp_ncats > 9 && $ncp_ncats < 17) $ncp_cats_on_row = 5;
	if ($ncp_ncats > 16 && $ncp_ncats < 26) $ncp_cats_on_row = 6;
	if ($ncp_ncats > 25 && $ncp_ncats < 37) $ncp_cats_on_row = 7;
	if ($ncp_ncats > 36) $ncp_cats_on_row = 8;
}

function ncp_news_title_size($ncp_ncount) {
	if ($ncp_ncount == 0) return "10";
	for ($i=12;$i<32;$i+=2)
		if ($ncp_ncount > $i-12 && $ncp_ncount < $i-9) return $i;
	if ($ncp_ncount > 20) return "32";
}

while ($ncp_d = dbarray($ncp_cloud)) {

	$ncp_cat_id[] .= $ncp_d['article_cat_id'];
	$ncp_cat_name[] .= $ncp_d['article_cat_name'];
	$ncp_r = dbquery("SELECT count(*) FROM ".$db_prefix."articles WHERE article_cat='".$ncp_d['article_cat_id']."'");
	$ncp_cnt = dbarray($ncp_r);
	$ncp_cat_size[] .= ncp_news_title_size($ncp_cnt['count(*)']);
}

for ($i=0;$i<count($ncp_cat_id);$i++) {

	echo "<span style='font-size:".$ncp_cat_size[$i]."px'><a href='".BASEDIR."articles.php?cat_id=".$ncp_cat_id[$i]."'>".$ncp_cat_name[$i]."</a></span>".(($i+1) % $ncp_cats_on_row ? "&nbsp;\n" : "\n");

}

closesidetagi();
?>